Package net.rubygrapefruit.platform

# Interface DirEntry

All Superinterfaces:
  `FileInfo`

public interface DirEntry extends FileInfo
Details about a file in a directory. This is a snapshot and does not change.

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.rubygrapefruit.platform.FileInfo

`FileInfo.Type`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name of the file.

### Methods inherited from interface net.rubygrapefruit.platform.FileInfo

`getLastModifiedTime, getSize, getType`

## Method Details

### getName

String getName()
Returns the name of the file.